summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorEmmanuele Bassi <ebassi@gnome.org>2018-05-30 14:18:35 +0100
committerEmmanuele Bassi <ebassi@gnome.org>2018-05-30 14:18:35 +0100
commit7f41e0bbee0f4b94c5774411d99644144b94e3cd (patch)
treeb4454475c42bf6ff3cd8e9a14a4bec9236a14c78
parent7eb29a1fb0c6877dc205f6a6b2223f3f36bd1bf8 (diff)
downloadgdk-pixbuf-issue-73.tar.gz
ci: Test the libjasper loaderissue-73
Move the build options into the YAML file while we're at it.
-rw-r--r--.gitlab-ci.yml2
-rwxr-xr-x.gitlab/ci/test-docker.sh2
2 files changed, 3 insertions, 1 deletions
diff --git a/.gitlab-ci.yml b/.gitlab-ci.yml
index 2c3d8dbac..464d2aaad 100644
--- a/.gitlab-ci.yml
+++ b/.gitlab-ci.yml
@@ -8,6 +8,8 @@ stages:
meson-fedora-x86_64:
image: registry.gitlab.gnome.org/gnome/gdk-pixbuf/master:v1
stage: build
+ variables:
+ BUILD_OPTS: "-Dpng=true -Djpeg=true -Dtiff=true -Djasper=true"
script:
- bash -x ./.gitlab/ci/test-docker.sh
artifacts:
diff --git a/.gitlab/ci/test-docker.sh b/.gitlab/ci/test-docker.sh
index 5c2ecd688..f99a25c8c 100755
--- a/.gitlab/ci/test-docker.sh
+++ b/.gitlab/ci/test-docker.sh
@@ -14,7 +14,7 @@ ccache --show-stats
# Disable ccache while running Meson, to avoid cached compiler tests
export CCACHE_DISABLE=true
-meson ${builddir} ${srcdir} || exit $?
+meson ${BUILD_OPTS} ${builddir} ${srcdir} || exit $?
unset CCACHE_DISABLE
cd ${builddir}